// midiIn.ck
// http://chuck.cs.princeton.edu/doc/language/event.html#midi

MidiIn min;
MidiMsg msg;

// open midi receiver, exit on fail
if ( !min.open(1) ) me.exit(); 

while( true )
{
	// wait on midi event
	min => now;
	
	// receive midimsg(s)
	while( min.recv( msg ) )
	{
		// print content
		<<< msg.data1, msg.data2, msg.data3 >>>;
	}
}
